#include <fstream>
using namespace std;
    ifstream fi("demnt.inp");
    ofstream fo("demnt.out");
int era[1000000],n,kt,d=0;
sang(int x)
{
    fill(era,era+1000000,1);
    era[0] = 0; era[1] = 0;
    for (int i = 2; i*i <= x; i++)
        if (era[i] == 1)
    {
        for (int j = i*i; j <= x; j += i) era[j] = 0;
    }
}
int main()
{
    fi>>n;
    sang(100000);
    for(int i=0;i<n;i++)
    {
        fi>>kt;
        if (kt > 0 && era[kt] == 1) d++;
    }
    fo<<d;
    return 0;
}
